Skip to main content
POST
/
extract
/
detect
Start Detect Extraction
curl --request POST \
  --url https://apigcp.trynia.ai/v2/extract/detect \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "source_id": "<string>",
  "page_range": "<string>",
  "include_symbols": false,
  "filter_pattern": "<string>"
}
'
import requests

url = "https://apigcp.trynia.ai/v2/extract/detect"

payload = {
"url": "<string>",
"source_id": "<string>",
"page_range": "<string>",
"include_symbols": False,
"filter_pattern": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
source_id: '<string>',
page_range: '<string>',
include_symbols: false,
filter_pattern: '<string>'
})
};

fetch('https://apigcp.trynia.ai/v2/extract/detect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "status": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "progress": 0,
  "type": "detect",
  "url": "<string>",
  "source_display_name": "<string>",
  "page_range": "<string>",
  "result": {},
  "page_count": 0,
  "error": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json
url
string | null
source_id
string | null
page_range
string | null
include_symbols
boolean
default:false
filter_pattern
string | null

Response

Successful Response

id
string
required
status
string
required
created_at
string
required
updated_at
string
required
progress
integer
default:0
type
string
default:detect
url
string | null
source_display_name
string | null
page_range
string | null
result
Result · object | null
page_count
integer
default:0
error
string | null